> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh App Auth Ticket

> Returns the AppAuthTicket with a refreshed AccessToken



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json put /platform/applications/authtickets/refresh-ticket
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/applications/authtickets/refresh-ticket:
    put:
      tags:
        - AppAuthTickets
      summary: Refresh App Auth Ticket
      description: Returns the AppAuthTicket with a refreshed AccessToken
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthTicketRequest'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthTicket'
            text/json:
              schema:
                $ref: '#/components/schemas/AuthTicket'
            text/plain:
              schema:
                $ref: '#/components/schemas/AuthTicket'
          description: OK
components:
  schemas:
    AuthTicketRequest:
      description: >-
        Complex object to have the refresh token sent in the body intead of as
        clear text in the query string.
      properties:
        refreshToken:
          description: The refresh token for renewing the authorization.
          nullable: true
          type: string
      type: object
    AuthTicket:
      properties:
        accessToken:
          nullable: true
          type: string
        accessTokenExpiration:
          format: date-time
          type: string
        environmentScope:
          description: >-
            For V2 credentials, indicates the environment scope
            (Sandbox/Production).

            Null for V1 credentials (no environment restriction).
          nullable: true
          type: string
        refreshToken:
          nullable: true
          type: string
        refreshTokenExpiration:
          format: date-time
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````